#include <iostream>
#include <string>

using namespace std;

int main()
{
    string s1,s2,s3,s="";
    cin>>s1>>s2>>s3;
    if(s1>s2 && s1>s3)
    {
        if(s2>s3)
        {
            s=s1+s2+s3;
        }else
        {
           s=s1+s3+s2;
        }
    }
    else if(s2>s1 && s2>s3)
    {
        if(s1>s3)
        {
            s=s2+s1+s3;
        }else
        {
            s=s2+s3+s1;
        }
    }
    else if(s3>s1 && s3>s1)
    {
        if(s1>s2)
        {
           s=s3+s1+s2;
        }else
        {
            s=s3+s2+s1;
        }
    }
    cout<<s<<endl;
    return 0;
}